public class PasswordChecker implements Validation{

    private final int pwMinLength;

    public PasswordChecker(int minPwSize){
        pwMinLength = minPwSize;
    }

    public boolean pwLength(String password){
        return password.length() >= pwMinLength;
    }

    public boolean pwContainsNum(String password){
        for (int i = 0; i < password.length(); i++) {
            if(Character.isDigit(password.charAt(i))){
                return true;
            }
        }
        return false;
    }

    private boolean pwContainsSpecialHelper(char c){
        return(!(Character.isDigit(c)|| Character.isLetter(c)));
    }

    public boolean pwContainsSpecial(String password){
        for (int i = 0; i < password.length(); i++) {
            if(pwContainsSpecialHelper(password.charAt(i))){
                return true;
            }
        }
        return false;
    }
}
